
Foreman - Bug #13272

Basic edit test can fail when fixtures don't exist for a particular model

01/19/2016 04:54 AM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Tests   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3092

  

Description

Some helper methods now exist for testing edit pages:

test/functional/shared/basic_rest_response_test.rb

basic_edit_test takes a record as an argument, which for most models is passed as `ModelClass.first`, however, .first may not exist

at class evaluation if there's no fixtures.  This is the case with Usergroups.

And due to database cleaning, the object needs to be created within the context of the basic_edit_test method, so passing something

like FactoryGirl.create directly also doesn't work in some cases.

Related issues:

Related to Foreman - Refactor #11618: Replace validation tests by shoulda-mat... Closed 08/31/2015

Associated revisions

Revision fa383aa2 - 01/20/2016 07:01 AM - Stephen Benjamin

fixes #13272 - use instance variable for basic_edit_test test helper

History

#1 - 01/19/2016 04:56 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3092 added

#2 - 01/20/2016 08:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset fa383aa24bd2889bde0027c3f610e2fc5de74b1f.

#3 - 01/20/2016 08:09 AM - Dominic Cleal

- Related to Refactor #11618: Replace validation tests by shoulda-matchers added

#4 - 01/20/2016 08:10 AM - Dominic Cleal

- translation missing: en.field_release set to 71
